Package org.eclipse.graphiti.ui.internal.util.ui.print

## Class PrintFigureScaleableOperation

- java.lang.Object
- - org.eclipse.draw2d.PrintOperation
  - - org.eclipse.draw2d.PrintFigureOperation
    - - org.eclipse.graphiti.ui.internal.util.ui.print.PrintFigureScaleableOperation

    public class PrintFigureScaleableOperation
    extends org.eclipse.draw2d.PrintFigureOperation

A PrintFigureOperation, which allows to print with fully configurable size and position. The width, height, and margins are expected to be accessible through the field `_preferences`.

### Field Summary

### Fields inherited from class org.eclipse.draw2d.PrintFigureOperation

`FIT_HEIGHT, FIT_PAGE, FIT_WIDTH, TILE`

### Constructor Summary

Constructors
`PrintFigureScaleableOperation​(IPrintConfiguration printConfiguration)` Creates a new PrintFigureScaleableOperation.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `printPages()` Prints the pages based on the preference values in `_preferences`.
`protected void` `setupPrinterGraphicsFor​(org.eclipse.draw2d.Graphics graphics, org.eclipse.draw2d.IFigure figure)` Overrides superclass.

### Methods inherited from class org.eclipse.draw2d.PrintFigureOperation

`getPrintMode, getPrintSource, preparePrintSource, restorePrintSource, setPrintMode, setPrintSource`

### Methods inherited from class org.eclipse.draw2d.PrintOperation

`cleanup, getFreshPrinterGraphics, getPrinter, getPrintRegion, run, setPrinter, setPrintMargin, setupGraphicsForPage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintFigureScaleableOperation

    public PrintFigureScaleableOperation​(IPrintConfiguration printConfiguration)

Creates a new PrintFigureScaleableOperation.

Parameters:
  `p` - The printer, where to print
  `figure` - actually only used to call super methods
  `image` - The image to print, this is currently used for printing since Figures do not allow for flexible xy-scaling.

### Method Detail

#### setupPrinterGraphicsFor

    protected void setupPrinterGraphicsFor​(org.eclipse.draw2d.Graphics graphics,
                                           org.eclipse.draw2d.IFigure figure)

Overrides superclass. This means, that the print-modes of the super-class are ignored.

Overrides:
  `setupPrinterGraphicsFor` in class `org.eclipse.draw2d.PrintFigureOperation`
See Also:
  `PrintFigureOperation.setupPrinterGraphicsFor(org.eclipse.draw2d.Graphics, org.eclipse.draw2d.IFigure)`

#### printPages

    protected void printPages()

Prints the pages based on the preference values in `_preferences`.

Overrides:
  `printPages` in class `org.eclipse.draw2d.PrintFigureOperation`
See Also:
  `PrintOperation.printPages()`